Ticket #33402

2015.4jp に向けた Python コーディングスタイルの再検討

Open Date: 2014-03-07 00:11 Last Update: 2015-11-05 13:46

Reporter: nishimoto Owner: (None)
Type: Patches Status: Closed
Component: (None) MileStone: 2015.4jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

日本語チームが追加してきた Python のコーディングスタイルを、本家の実装に揃えたいと思っています。

アンダースコアのメソッド名または変数名への使用は、いわゆる private スコープ、getter setter の定義、予約語との衝突の回避など、目的を限定しているようですが、日本語チームの名前の付け方は一貫性に欠けるものになっています。

リファクタリングを安全に行うために、ユニットテストももっと整備するべきかも知れません。

なお、本家のコーディングはインデントにタブ文字を使うなど、いわゆる PEP-8 に準拠していない部分もありますが、これは今後も本家の流儀を尊重します。

Attachment File List

No attachments

Ticket History (3/3 Histories)

2014-03-07 00:11 Updated by: nishimoto
  • New Ticket "Python コーディングスタイルの再検討" created
2015-09-03 18:44 Updated by: nishimoto
  • Milestone Update from (None) to 2015.4jp (closed)
  • Resolution Update from None to Fixed
Comment

チケット #35037 のついでに着手。 nvdajp_dic.py を jpUtils.py に変更するなど。

2015-11-05 13:46 Updated by: nishimoto
  • Ticket Close date is changed to 2015-11-05 13:46
  • Status Update from Open to Closed
  • Summary Updated
Comment

2015.4jp に向けた作業はここまでで完了とさせてください。

Edit

Please login to add comment to this ticket » Login